const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("merchant", {
    name: DataTypes.STRING(100),
    taxType: DataTypes.STRING(4),
    contactName: DataTypes.STRING(30),
    contactMobile: DataTypes.STRING(30),
    contactEmail: DataTypes.STRING(30),
    invoiceValid: {
      type: DataTypes.BOOLEAN,
      defaultValue: false
    },
    mustPay: {
      type: DataTypes.BOOLEAN,
      defaultValue: false
    },
    orderPrice: DataTypes.BIGINT,
    ownerName: DataTypes.STRING,
    ownerMobile: DataTypes.STRING,
    ownerId: DataTypes.STRING(32),
    ownerPath: DataTypes.STRING(100),
    status:{
      type:DataTypes.STRING(4)
    },
    ucname: DataTypes.STRING(30),
    ucid: DataTypes.STRING(32),
    appSecret: DataTypes.STRING(64),//商户密钥信息，用于进行签名请求接口
  }, {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'm_merchant',
      validate: {
      },
      indexes: [
        // Create a unique index on email
        //  {
        //    unique: true,
        //    fields: ['email']
        //  },
        //
        //  // Creates a gin index on data with the jsonb_path_ops operator
        //  {
        //    fields: ['data'],
        //    using: 'gin',
        //    operator: 'jsonb_path_ops'
        //  },
        //
        //  // By default index name will be [table]_[fields]
        //  // Creates a multi column partial index
        //  {
        //    name: 'public_by_author',
        //    fields: ['author', 'status'],
        //    where: {
        //      status: 'public'
        //    }
        //  },
        //
        //  // A BTREE index with a ordered field
        //  {
        //    name: 'title_index',
        //    method: 'BTREE',
        //    fields: ['author', {attribute: 'title', collate: 'en_US', order: 'DESC', length: 5}]
        //  }
      ]
    });
}
